<?
include("fnc.php");

switch($frm){
  case "dg":
     $txtdcalleavenida=str_replace("\"","",$txtdcalleavenida);

     if(!checkdate($txtfnm,$txtfnd,$txtfny)){
       alert("Fecha de nacimiento inválida",$goback);
     }
     
     $sql="insert into preinscripciones
           set nombre='$txtnombre',
           apellido='$txtapellido',
           dcalle_avenida='$txtdcalleavenida',
           dnumero_casa='$txtdnumcasa',
           dzona='$txtdzona',
           dcolonia='$txtdcolonia',
           dmunicipio='$txtdmunicipio',
           ddepto='$dp',
           tel_casa='$txttelefono',
           tel_movil='$txttelefonom',
           sexo='$txtsexo',
           lugar_nacimiento='$txtlugarnac',
           fecha_nacimiento='$txtfny-$txtfnm-$txtfnd',
           religion='$txtreligion',
           mail='$txtmail',
           tipo_sangre='$txttiposangre',
           grado='$txtgrado'";
//           echo $sql;

           $res=mysql_query($sql);
           $ins_id=mysql_insert_id();

     header("Location: ./inscripcion_alumno2.php?idi=$ins_id");
  break;
  case "inf_padre":

     $sql="update preinscripciones
           set padre_nombre='$txtpadrenombre',
           padre_direccion='$txtpadredireccion',
           padre_telefono='$txtpadretelefono',
           padre_telefonom='$txtpadretelefonom',
           padre_lugartrabajo='$txtpadrelugartrabajo',
           padre_teltrabajo='$txtpadretelefonotrab',
           padre_mail='$txtpadremail'
           where id = $idi";
//           echo $sql;
//
           $res=mysql_query($sql);
//           $ins_id=mysql_insert_id();

     header("Location: ./inscripcion_alumno3.php?idi=$idi");
  break;
  case "inf_madre":

     $sql="update preinscripciones
           set
           madre_nombre='$txtmadrenombre',
           madre_direccion='$txtmadredireccion',
           madre_telefono='$txtmadretelefono',
           madre_telefonom='$txtmadretelefonom',
           madre_lugartrabajo='$txtmadrelugartrabajo',
           madre_teltrabajo='$txtmadretelefonotrab',
           madre_mail='$txtmadremail'
           where id = $idi";
//           echo $sql;
//
           $res=mysql_query($sql);
//           $ins_id=mysql_insert_id();

     header("Location: ./inscripcion_alumno4.php?idi=$idi");
  break;

  case "inf_enc":

     $sql="update preinscripciones
           set
           enc_parentesco='$txtencparentesco',
           enc_cedula='$txtenccedula',
           enc_cedulaextendidaen='$txtencextendidaen',
           enc_nombre='$txtencnombre',
           enc_direccion='$txtencdireccion',
           enc_telefono='$txtenctelefono',
           enc_telefonom='$txtenctelefonom',
           enc_lugartrabajo='$txtenclugartrabajo',
           enc_teltrabajo='$txtenctelefonotrab',
           enc_mail='$txtencmail'
           where id = $idi";
//          echo $sql;
//
          $res=mysql_query($sql);

     header("Location: ./inscripcion_alumno5.php?idi=$idi");
  break;

  case "enc_igual_padre":
        $sql="update preinscripciones
              set
              enc_nombre=padre_nombre,
              enc_direccion=padre_direccion,
              enc_telefono=padre_telefono,
              enc_telefonom=padre_telefonom,
              enc_lugartrabajo=padre_lugartrabajo,
              enc_teltrabajo=padre_teltrabajo,
              enc_mail=padre_mail,
              enc_parentesco='Padre'
              where id = $idi";

        //echo $sql;
        $res=mysql_query($sql);
        header("Location: ./inscripcion_alumno5.php?idi=$idi");
  break;

  case "enc_igual_madre":
        $sql="update preinscripciones
              set
              enc_nombre=madre_nombre,
              enc_direccion=madre_direccion,
              enc_telefono=madre_telefono,
              enc_telefonom=madre_telefonom,
              enc_lugartrabajo=madre_lugartrabajo,
              enc_teltrabajo=madre_teltrabajo,
              enc_mail=madre_mail,
              enc_parentesco='Madre'
              where id = $idi";
        $res=mysql_query($sql);
        header("Location: ./inscripcion_alumno5.php?idi=$idi");
  break;

    case "emg_igual_padre":
        $sql="update preinscripciones
              set
              emg_avisara=padre_nombre,
              emg_direccion=padre_direccion,
              emg_telefono=padre_telefono,
              emg_telefonom=padre_telefonom,
              emg_lugartrabajo=padre_lugartrabajo,
              emg_teltrabajo=padre_teltrabajo,
              emg_parentesco='Padre'
              where id = $idi";

        //echo $sql;
        $res=mysql_query($sql);
        echo mysql_error();
        header("Location: ./inscripcion_alumno6.php?idi=$idi");
  break;

    case "emg_igual_madre":
        $sql="update preinscripciones
              set
              emg_avisara=madre_nombre,
              emg_direccion=madre_direccion,
              emg_telefono=madre_telefono,
              emg_telefonom=madre_telefonom,
              emg_lugartrabajo=madre_lugartrabajo,
              emg_teltrabajo=madre_teltrabajo,
              emg_parentesco='Madre'
              where id = $idi";

        //echo $sql;
        $res=mysql_query($sql);
        header("Location: ./inscripcion_alumno6.php?idi=$idi");
  break;

  case "inf_emg":

     $sql="update preinscripciones
           set
           emg_avisara='$txtemgnombre',
           emg_direccion='$txtemgdireccion',
           emg_telefono='$txtemgtelefono',
           emg_telefonom='$txtemgtelefonom',
           emg_lugartrabajo='$txtemglugartrabajo',
           emg_teltrabajo='$txtemgtelefonotrab',
           emg_parentesco='$txtemgparentesco'
           where id = $idi";
//           echo $sql;
//
          $res=mysql_query($sql);
//           $ins_id=mysql_insert_id();

     header("Location: ./inscripcion_alumno6.php?idi=$idi");
  break;

  case "inf_bus":

     $sql="update preinscripciones
           set
           bus='$txtbus'
           where id = $idi";
//           echo $sql;
//
          $res=mysql_query($sql);
//           $ins_id=mysql_insert_id();

     header("Location: ./inscripcion_alumno7-8.php?idi=$idi");
  break;

  case "inf_enfermedadesyalergias":
     $sql="update preinscripciones
           set
           sarampion='$txtsarampion',
           hepatitis='$txthepatitis',
           laringitis='$txtlaringitis',
           paperas='$txtpaperas',
           varicela='$txtvaricela',
           rubeola='$txtrubeola',
           amigdalitis='$txtamigdalitis',
           meningitis='$txtmeningitis',
           ningunaenfermedad='$txtningunaenfermedad',
           otraenfermedad='$txtotraenfermedad',
           al_huevo='$txthuevo',
           al_humedad='$txthumedad',
           al_aspirina='$txtaspirina',
           al_frutas='$txtfrutas',
           al_grama='$txtgrama',
           al_chocolate='$txtchocolate',
           al_leche='$txtleche',
           al_polvo='$txtpolvo',
           al_antibiotico='$txtantibiotico',
           al_ninguna='$txtningunaalergia',
           otraalergia='$txtotraalergia'
           where id = $idi";

          $res=mysql_query($sql);
          if(!$res){echo mysql_error();}

     header("Location: ./inscripcion_alumno9.php?idi=$idi");
  break;

  case "inf_enfermedades":

     $sql="update preinscripciones
           set
           sarampion='$txtsarampion',
           hepatitis='$txthepatitis',
           laringitis='$txtlaringitis',
           paperas='$txtpaperas',
           varicela='$txtvaricela',
           rubeola='$txtrubeola',
           amigdalitis='$txtamigdalitis',
           meningitis='$txtmeningitis',
           ningunaenfermedad='$txtningunaenfermedad',
           otraenfermedad='$txtotraenfermedad'
           where id = $idi";
//           echo $sql;
//
          $res=mysql_query($sql);
          if(!$res){echo mysql_error();}
//           $ins_id=mysql_insert_id();

     header("Location: ./inscripcion_alumno8.php?idi=$idi");
  break;

  case "inf_alergias":

     $sql="update preinscripciones
           set
           al_huevo='$txthuevo',
           al_humedad='$txthumedad',
           al_aspirina='$txtaspirina',
           al_frutas='$txtfrutas',
           al_grama='$txtgrama',
           al_chocolate='$txtchocolate',
           al_leche='$txtleche',
           al_polvo='$txtpolvo',
           al_antibiotico='$txtantibiotico',
           al_ninguna='$txtningunaalergia',
           otraalergia='$txtotraalergia'
           where id = $idi";
//           echo $sql;
//
          $res=mysql_query($sql);

          if(!$res){echo mysql_error();}

     header("Location: ./inscripcion_alumno9.php?idi=$idi");
  break;

  case "inf_medicamentos":

     $sql="update preinscripciones
           set
           md_donafen='$txtdonafen',
           md_alcohol='$txtalcohol',
           md_neobol='$txtneobol',
           md_acetaminofen='$txtacetaminofen',
           md_milanta='$txtmilanta',
           md_peptobismol='$txtpeptobismol',
           md_loratadina='$txtloratadina',
           md_aguaoxigenada='$txtaguaoxigenada'
           where id = $idi";
//           echo $sql;
//
          $res=mysql_query($sql);
          if(!$res){echo mysql_error();}

     header("Location: ./inscripcion_alumno10.php?idi=$idi");
  break;

  case "inf_medico":

     $sql="update preinscripciones
           set
           med_nombre='$txtnombre',
           med_direccion='$txtdireccion',
           med_telefono='$txttelefono',
           med_movil='$txtmovil',
           med_beeper='$txtbeeper',
           med_hospital='$txtnombrehospital',
           med_hospitaldireccion='$txthospitaldireccion',
           med_hospitaltelefono='$txthospitaltelefonos',
           med_servicioemg='$txtservicioemg',
           med_emgempresa='$txtemgempresa',
           med_emgempresatelefono='$txtemgempresatelefono',
           med_emgempresaafiliacion='$txtemgempresaafiliacion'
           where id = $idi";

          $res=mysql_query($sql);
          if(!$res){echo mysql_error();}

     header("Location: ./inscripcion_alumno11.php?idi=$idi");
  break;

  case "inf_facturacion":

     $sql="update preinscripciones
           set
           factura_nombre='$txtfacturanombre',
           factura_direccion='$txtfacturadireccion',
           factura_nit='$txtfacturanit'
           where id = $idi";
//           echo $sql;
//
          $res=mysql_query($sql);
          if(!$res){echo mysql_error();}

     header("Location: ./inscripcion_fin.php?idi=$idi");
  break;

}
?>